> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Review Reconciliation Finding



## OpenAPI

````yaml https://api.truestate.io/openapi.json patch /reconciliation/{finding_id}/review/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /reconciliation/{finding_id}/review/:
    patch:
      tags:
        - reconciliation
      summary: Review Reconciliation Finding
      operationId: review_reconciliation_finding_reconciliation__finding_id__review__patch
      parameters:
        - name: finding_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Finding Id
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReconciliationFindingReview'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReconciliationFindingRead'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReconciliationFindingReview:
      properties:
        action:
          $ref: '#/components/schemas/ReconciliationReviewAction'
        notes:
          anyOf:
            - type: string
              maxLength: 4000
            - type: 'null'
          title: Notes
        assigned_to_member_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Assigned To Member Id
        proposed_action:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Proposed Action
      type: object
      required:
        - action
      title: ReconciliationFindingReview
    ReconciliationFindingRead:
      properties:
        asset_type:
          $ref: '#/components/schemas/ReconciliationAssetType'
        asset_id:
          type: string
          maxLength: 255
          minLength: 1
          title: Asset Id
        asset_name:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Asset Name
        memory_type:
          anyOf:
            - $ref: '#/components/schemas/ReconciliationMemoryType'
            - type: 'null'
        memory_key:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Memory Key
        finding_type:
          $ref: '#/components/schemas/ReconciliationFindingType'
        severity:
          $ref: '#/components/schemas/ReconciliationFindingSeverity'
          default: medium
        status:
          $ref: '#/components/schemas/ReconciliationFindingStatus'
          default: open
        source:
          $ref: '#/components/schemas/ReconciliationFindingSource'
          default: agent
        confidence:
          anyOf:
            - type: number
              maximum: 1
              minimum: 0
            - type: 'null'
          title: Confidence
        title:
          type: string
          maxLength: 255
          minLength: 1
          title: Title
        description:
          anyOf:
            - type: string
              maxLength: 4000
            - type: 'null'
          title: Description
        observed_state:
          additionalProperties: true
          type: object
          title: Observed State
        documented_state:
          additionalProperties: true
          type: object
          title: Documented State
        proposed_action:
          additionalProperties: true
          type: object
          title: Proposed Action
        fingerprint:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Fingerprint
        id:
          type: string
          format: uuid
          title: Id
        organisation_id:
          type: string
          title: Organisation Id
        review_context:
          anyOf:
            - type: string
            - type: 'null'
          title: Review Context
        assigned_to_member_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Assigned To Member Id
        created_by_member_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Created By Member Id
        reviewed_by_member_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Reviewed By Member Id
        resolved_by_member_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Resolved By Member Id
        review_notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Review Notes
        resolution_notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolution Notes
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        reviewed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Reviewed At
        resolved_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Resolved At
      type: object
      required:
        - asset_type
        - asset_id
        - finding_type
        - title
        - id
        - organisation_id
        - created_at
        - updated_at
      title: ReconciliationFindingRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ReconciliationReviewAction:
      type: string
      enum:
        - approve
        - reject
        - resolve
        - dismiss
        - reopen
      title: ReconciliationReviewAction
    ReconciliationAssetType:
      type: string
      enum:
        - automation
        - dashboard
        - dataset
        - deployment
        - feature
        - model
        - ontology
        - pipeline
        - strategy
      title: ReconciliationAssetType
    ReconciliationMemoryType:
      type: string
      enum:
        - feature
        - ontology
        - strategy
      title: ReconciliationMemoryType
    ReconciliationFindingType:
      type: string
      enum:
        - missing_link
        - stale_link
        - missing_definition
        - schema_drift
        - definition_conflict
        - memory_change_requires_review
        - asset_deleted
        - proposed_update
      title: ReconciliationFindingType
    ReconciliationFindingSeverity:
      type: string
      enum:
        - info
        - low
        - medium
        - high
        - critical
      title: ReconciliationFindingSeverity
    ReconciliationFindingStatus:
      type: string
      enum:
        - open
        - proposed
        - approved
        - rejected
        - resolved
        - dismissed
      title: ReconciliationFindingStatus
    ReconciliationFindingSource:
      type: string
      enum:
        - agent
        - backend_hook
        - human
        - system_job
      title: ReconciliationFindingSource
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````